# Class pyglet.text.layout.TextLayoutTextureGroup

    graphics.Group --+
                     |
                    TextLayoutTextureGroup

Rendering group for a glyph texture in all text layouts.

The group binds its texture to `GL_TEXTURE_2D`. The group is shared between all other text layout uses of the same texture.

## Methods

| __init__(self, texture, parent) Create a group.
| set_state(self) Apply the OpenGL state change.
| __hash__(self)
| __eq__(self, other)
| __repr__(self)
| set_state_recursive(self) Set this group and its ancestry. (Inherited from pyglet.graphics.Group)
| unset_state(self) Repeal the OpenGL state change. (Inherited from pyglet.graphics.Group)
| unset_state_recursive(self) Unset this group and its ancestry. (Inherited from pyglet.graphics.Group)

## Method Details

### __init__

(Constructor) __init__(self, texture, parent)
Create a group.

Overrides:
  graphics.Group.__init__

### set_state

set_state(self)

Apply the OpenGL state change.

The default implementation does nothing.

Overrides:
  graphics.Group.set_state